ru.bitel.bgbilling.plugins.helpdesk.server.bean

## Class PackageManager

- java.lang.Object
- - ru.bitel.bgbilling.plugins.helpdesk.server.bean.PackageManager

-     public class PackageManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer` | `plugin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageManager(java.sql.Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `findPackageContractList(SearchResult<PackageContract> searchResult, int cid)`
    `void` | `findPackageList(SearchResult<Package> searchResult, java.lang.Boolean status)`
    `int` | `getActiveNotUseOrder(int contractId)` Возвращает количество не использованных обращений в активных пакетах для договора
    `PackageContract` | `getActivePackageContract(int contractId)`
    `protected java.lang.String` | `getDBTableName(java.lang.String name)`
    `Package` | `getPackage(int id)`
    `PackageContract` | `getPackageContract(int id)`
    `boolean` | `hasActivePackage(int contractId)` Возращает true если договор иеет не использованные обращения в активных пакетах
    `void` | `updatePackage(Package pkg)`
    `void` | `updatePackageContract(PackageContract packageContract)`
    `int` | `updatePackageContractCount(int id, int countUse, int step)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### con

          protected java.sql.Connection con

    - #### plugin

          protected ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin

  - ### Constructor Detail

    - #### PackageManager

          public PackageManager(java.sql.Connection con,
                                ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)

  - ### Method Detail

    - #### getDBTableName

          protected java.lang.String getDBTableName(java.lang.String name)

    - #### findPackageContractList

          public void findPackageContractList(SearchResult<PackageContract> searchResult,
                                              int cid)

    - #### findPackageList

          public void findPackageList(SearchResult<Package> searchResult,
                                      java.lang.Boolean status)

    - #### getPackage

          public Package getPackage(int id)

    - #### updatePackageContractCount

          public int updatePackageContractCount(int id,
                                                int countUse,
                                                int step)

    - #### updatePackage

          public void updatePackage(Package pkg)

    - #### updatePackageContract

          public void updatePackageContract(PackageContract packageContract)

    - #### getPackageContract

          public PackageContract getPackageContract(int id)

    - #### hasActivePackage

          public boolean hasActivePackage(int contractId)

      Возращает true если договор иеет не использованные обращения в активных пакетах
      Parameters:
        `contractId` - id договора
      Returns:
        true - есть обращений, false - нет обращений

    - #### getActivePackageContract

          public PackageContract getActivePackageContract(int contractId)

    - #### getActiveNotUseOrder

          public int getActiveNotUseOrder(int contractId)

      Возвращает количество не использованных обращений в активных пакетах для договора
      Parameters:
        `contractId` - id договора
      Returns:
        количество обращений